org.apache.poi.ddf

## Enum EscherColorRef.SysIndexSource

- java.lang.Object
- - java.lang.Enum<EscherColorRef.SysIndexSource>
  - - org.apache.poi.ddf.EscherColorRef.SysIndexSource

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<EscherColorRef.SysIndexSource>
  Enclosing class:
    EscherColorRef

      public static enum EscherColorRef.SysIndexSource
      extends java.lang.Enum<EscherColorRef.SysIndexSource>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CURRENT_OR_LAST_COLOR` Use the current, or last-used, color.
    `FILL_BACKGROUND_COLOR` Use the fill background color of the shape.
    `FILL_COLOR` Use the fill color of the shape.
    `FILL_OR_LINE_COLOR` If the shape contains a fill, use the fill color of the shape.
    `LINE_BACKGROUND_COLOR` Use the line background color of the shape.
    `LINE_COLOR` Use the line color of the shape.
    `LINE_OR_FILL_COLOR` If the shape contains a line, use the line color of the shape.
    `SHADOW_COLOR` Use the shadow color of the shape.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EscherColorRef.SysIndexSource` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static EscherColorRef.SysIndexSource[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FILL_COLOR

          public static final EscherColorRef.SysIndexSource FILL_COLOR

      Use the fill color of the shape.

    - #### LINE_OR_FILL_COLOR

          public static final EscherColorRef.SysIndexSource LINE_OR_FILL_COLOR

      If the shape contains a line, use the line color of the shape. Otherwise, use the fill color.

    - #### LINE_COLOR

          public static final EscherColorRef.SysIndexSource LINE_COLOR

      Use the line color of the shape.

    - #### SHADOW_COLOR

          public static final EscherColorRef.SysIndexSource SHADOW_COLOR

      Use the shadow color of the shape.

    - #### CURRENT_OR_LAST_COLOR

          public static final EscherColorRef.SysIndexSource CURRENT_OR_LAST_COLOR

      Use the current, or last-used, color.

    - #### FILL_BACKGROUND_COLOR

          public static final EscherColorRef.SysIndexSource FILL_BACKGROUND_COLOR

      Use the fill background color of the shape.

    - #### LINE_BACKGROUND_COLOR

          public static final EscherColorRef.SysIndexSource LINE_BACKGROUND_COLOR

      Use the line background color of the shape.

    - #### FILL_OR_LINE_COLOR

          public static final EscherColorRef.SysIndexSource FILL_OR_LINE_COLOR

      If the shape contains a fill, use the fill color of the shape. Otherwise, use the line color.

  - ### Method Detail

    - #### values

          public static EscherColorRef.SysIndexSource[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EscherColorRef.SysIndexSource c : EscherColorRef.SysIndexSource.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EscherColorRef.SysIndexSource valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.